Katello - Bug #4785

angular-gettext's gettext function only works for extraction, need to also handle replacements
03/21/2014 09:39 PM - Walden Raines

Status: Closed

Priority: Normal

Assignee: Walden Raines

Category: Web Ul

Target version: Katello 2.0

Difficulty: medium Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

See https://github.com/rubenv/angular-gettext/issues/29

We have various gettext() calls in our Bastion javascript files that will only return the untranslated string. We need to figure out a way
to handle replacement.

A couple of ideas:

1. Wrap the angular-gettext function with our own version that does replacements
2. Use what's outlined here: https://github.com/rubenv/angular-gettext/issues/29#issuecomment-37196935

Associated revisions

Revision bcd082¢7 - 03/28/2014 11:39 AM - Walden Raines

Fixes #4785, replace gettext with translate for extraction/replacement.

Revision 17443212 - 03/28/2014 02:26 PM - Walden Raines
Merge pull request #3895 from waldenraines/bug-4785
Fixes #4785, replace gettext with translate for extraction/replacement.

Revision 6f5e909f - 03/28/2014 03:39 PM - Walden Raines

Fixes #4785, replace gettext with translate for extraction/replacement.

Revision 2780ba21 - 03/28/2014 06:26 PM - Walden Raines
Merge pull request #3895 from waldenraines/bug-4785

Fixes #4785, replace gettext with translate for extraction/replacement.

History

#1 - 03/21/2014 10:03 PM - Walden Raines

- Status changed from New to Assigned

#2 - 03/24/2014 04:34 AM - Mike McCune

- Triaged changed from No to Yes

#3 - 03/26/2014 07:35 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3895

#4 - 03/28/2014 06:52 PM - Walden Raines
- Status changed from Ready For Testing to Closed

04/20/2024 1/2



https://github.com/rubenv/angular-gettext/issues/29
https://github.com/rubenv/angular-gettext/issues/29#issuecomment-37196935
https://github.com/Katello/katello/pull/3895

- % Done changed from 0 to 100

Applied in changeset katellojcommit:6f5e909f1dd697105e714fca9789bba4d41e929b.

#5 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
